'''
 *   Python 2/3 source - By hexatoms (https://twitter.com/hexatoms)
 * 
 *   No warranty, explicit or implicit, provided.
 *   No error-handling is implemented - use as a starting point. *** 
'''

import hashlib, sys, qrcode
 
filename = sys.argv[1]

file_hash = hashlib.sha1()

with open(filename,"rb") as f:
    for byte_block in iter(lambda: f.read(4096),b""):
        file_hash.update(byte_block)

print file_hash.hexdigest()

img = qrcode.make('https://www.virustotal.com/gui/file/' + file_hash.hexdigest())

# or 'https://www.virustotal.com/gui/file/' + file_hash.hexdigest()

print 'qrcode generation completed.'

img.save('qrcode.png')
 